cURL
curl --request GET \
--url https://api.eda.prisme.ai/v2/orgs/{orgSlug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eda.prisme.ai/v2/orgs/{orgSlug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eda.prisme.ai/v2/orgs/{orgSlug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"slug": "<string>",
"id": "<string>",
"description": "<string>",
"photo": "<string>",
"domains": [
"<string>"
],
"branding": {
"version": "<string>",
"platformName": "<string>",
"description": "<string>",
"logo": {
"light": "<string>",
"dark": "<string>"
},
"favicon": "<string>",
"colors": {
"primary": "<string>",
"secondary": "<string>",
"accent": "<string>"
},
"fonts": {
"heading": "<string>",
"body": "<string>"
},
"customCssUrl": "<string>",
"customCssInline": "<string>"
},
"navigation": {
"version": 123,
"homePage": "<string>",
"menu": [
{
"id": "<string>",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
],
"footer": [
{
"id": "<string>",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
],
"quickActions": [
{
"id": "<string>",
"label": "<string>",
"icon": "<string>",
"color": "<string>",
"href": "<string>",
"expanded": true,
"badge": "<string>",
"permissions": [
"<string>"
],
"features": [
{
"slug": "<string>",
"label": "<string>",
"agentId": "<string>",
"templateId": "<string>",
"permissions": [
"<string>"
]
}
],
"visibility": {
"tiers": [
"<string>"
],
"features": [
"<string>"
]
},
"items": "<array>"
}
]
},
"joinRules": [
{
"rules": [
{
"field": "<string>",
"value": "<string>"
}
],
"role": "<string>",
"groups": [
"<string>"
]
}
],
"defaultRole": "<string>",
"settings": {},
"subscriptionSlug": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "AuthenticationError",
"message": "Unauthenticated"
}{
"error": "ObjectNotFound",
"message": "<string>"
}Organizations
Get v2orgs
Get an organization by slug
GET
/
v2
/
orgs
/
{orgSlug}
cURL
Authorizations
BearerAuthWorkspaceApiKeyAuthBearerAuth & WorkspaceApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Available options:
active, suspended Show child attributes
Show child attributes
Organization navigation configuration
Show child attributes
Show child attributes
Auto-join rules. Each item is an OR case with AND-chained conditions in rules[]. Example: [{ rules: [{ field: "email", operator: "endsWith", value: "@acme.com" }], role: "member", groups: ["engineering"] }]
Show child attributes
Show child attributes
Was this page helpful?
⌘I